%
% Status : main Dynare file
%
% Warning : this file is generated automatically by Dynare
%           from model file (.mod)

if isoctave || matlab_ver_less_than('8.6')
    clear all
else
    clearvars -global
    clear_persistent_variables(fileparts(which('dynare')), false)
end
tic0 = tic;
% Define global variables.
global M_ options_ oo_ estim_params_ bayestopt_ dataset_ dataset_info estimation_info ys0_ ex0_
options_ = [];
M_.fname = 'estimate';
M_.dynare_version = '4.6.1';
oo_.dynare_version = '4.6.1';
options_.dynare_version = '4.6.1';
%
% Some global variables initialization
%
global_initialization;
diary off;
diary('estimate.log');
M_.exo_names = cell(6,1);
M_.exo_names_tex = cell(6,1);
M_.exo_names_long = cell(6,1);
M_.exo_names(1) = {'e_b'};
M_.exo_names_tex(1) = {'e\_b'};
M_.exo_names_long(1) = {'e_b'};
M_.exo_names(2) = {'e_g'};
M_.exo_names_tex(2) = {'e\_g'};
M_.exo_names_long(2) = {'e_g'};
M_.exo_names(3) = {'e_r'};
M_.exo_names_tex(3) = {'e\_r'};
M_.exo_names_long(3) = {'e_r'};
M_.exo_names(4) = {'e_sigma'};
M_.exo_names_tex(4) = {'e\_sigma'};
M_.exo_names_long(4) = {'e_sigma'};
M_.exo_names(5) = {'e_al'};
M_.exo_names_tex(5) = {'e\_al'};
M_.exo_names_long(5) = {'e_al'};
M_.exo_names(6) = {'e_ah'};
M_.exo_names_tex(6) = {'e\_ah'};
M_.exo_names_long(6) = {'e_ah'};
M_.endo_names = cell(57,1);
M_.endo_names_tex = cell(57,1);
M_.endo_names_long = cell(57,1);
M_.endo_names(1) = {'Y'};
M_.endo_names_tex(1) = {'Y'};
M_.endo_names_long(1) = {'Y'};
M_.endo_names(2) = {'C'};
M_.endo_names_tex(2) = {'C'};
M_.endo_names_long(2) = {'C'};
M_.endo_names(3) = {'I'};
M_.endo_names_tex(3) = {'I'};
M_.endo_names_long(3) = {'I'};
M_.endo_names(4) = {'K'};
M_.endo_names_tex(4) = {'K'};
M_.endo_names_long(4) = {'K'};
M_.endo_names(5) = {'N'};
M_.endo_names_tex(5) = {'N'};
M_.endo_names_long(5) = {'N'};
M_.endo_names(6) = {'W'};
M_.endo_names_tex(6) = {'W'};
M_.endo_names_long(6) = {'W'};
M_.endo_names(7) = {'Q'};
M_.endo_names_tex(7) = {'Q'};
M_.endo_names_long(7) = {'Q'};
M_.endo_names(8) = {'Rd'};
M_.endo_names_tex(8) = {'Rd'};
M_.endo_names_long(8) = {'Rd'};
M_.endo_names(9) = {'Yl'};
M_.endo_names_tex(9) = {'Yl'};
M_.endo_names_long(9) = {'Yl'};
M_.endo_names(10) = {'Al'};
M_.endo_names_tex(10) = {'Al'};
M_.endo_names_long(10) = {'Al'};
M_.endo_names(11) = {'Kl'};
M_.endo_names_tex(11) = {'Kl'};
M_.endo_names_long(11) = {'Kl'};
M_.endo_names(12) = {'Nl'};
M_.endo_names_tex(12) = {'Nl'};
M_.endo_names_long(12) = {'Nl'};
M_.endo_names(13) = {'Rkl'};
M_.endo_names_tex(13) = {'Rkl'};
M_.endo_names_long(13) = {'Rkl'};
M_.endo_names(14) = {'Wl'};
M_.endo_names_tex(14) = {'Wl'};
M_.endo_names_long(14) = {'Wl'};
M_.endo_names(15) = {'Rel'};
M_.endo_names_tex(15) = {'Rel'};
M_.endo_names_long(15) = {'Rel'};
M_.endo_names(16) = {'Rll'};
M_.endo_names_tex(16) = {'Rll'};
M_.endo_names_long(16) = {'Rll'};
M_.endo_names(17) = {'Omegabarl'};
M_.endo_names_tex(17) = {'Omegabarl'};
M_.endo_names_long(17) = {'Omegabarl'};
M_.endo_names(18) = {'Sigmal'};
M_.endo_names_tex(18) = {'Sigmal'};
M_.endo_names_long(18) = {'Sigmal'};
M_.endo_names(19) = {'Leveragel'};
M_.endo_names_tex(19) = {'Leveragel'};
M_.endo_names_long(19) = {'Leveragel'};
M_.endo_names(20) = {'Vl'};
M_.endo_names_tex(20) = {'Vl'};
M_.endo_names_long(20) = {'Vl'};
M_.endo_names(21) = {'SPl'};
M_.endo_names_tex(21) = {'SPl'};
M_.endo_names_long(21) = {'SPl'};
M_.endo_names(22) = {'b'};
M_.endo_names_tex(22) = {'b'};
M_.endo_names_long(22) = {'b'};
M_.endo_names(23) = {'Yh'};
M_.endo_names_tex(23) = {'Yh'};
M_.endo_names_long(23) = {'Yh'};
M_.endo_names(24) = {'Ah'};
M_.endo_names_tex(24) = {'Ah'};
M_.endo_names_long(24) = {'Ah'};
M_.endo_names(25) = {'Kh'};
M_.endo_names_tex(25) = {'Kh'};
M_.endo_names_long(25) = {'Kh'};
M_.endo_names(26) = {'Nh'};
M_.endo_names_tex(26) = {'Nh'};
M_.endo_names_long(26) = {'Nh'};
M_.endo_names(27) = {'Rkh'};
M_.endo_names_tex(27) = {'Rkh'};
M_.endo_names_long(27) = {'Rkh'};
M_.endo_names(28) = {'Wh'};
M_.endo_names_tex(28) = {'Wh'};
M_.endo_names_long(28) = {'Wh'};
M_.endo_names(29) = {'Reh'};
M_.endo_names_tex(29) = {'Reh'};
M_.endo_names_long(29) = {'Reh'};
M_.endo_names(30) = {'Rlh'};
M_.endo_names_tex(30) = {'Rlh'};
M_.endo_names_long(30) = {'Rlh'};
M_.endo_names(31) = {'Omegabarh'};
M_.endo_names_tex(31) = {'Omegabarh'};
M_.endo_names_long(31) = {'Omegabarh'};
M_.endo_names(32) = {'Sigmah'};
M_.endo_names_tex(32) = {'Sigmah'};
M_.endo_names_long(32) = {'Sigmah'};
M_.endo_names(33) = {'Leverageh'};
M_.endo_names_tex(33) = {'Leverageh'};
M_.endo_names_long(33) = {'Leverageh'};
M_.endo_names(34) = {'Vh'};
M_.endo_names_tex(34) = {'Vh'};
M_.endo_names_long(34) = {'Vh'};
M_.endo_names(35) = {'SPh'};
M_.endo_names_tex(35) = {'SPh'};
M_.endo_names_long(35) = {'SPh'};
M_.endo_names(36) = {'G'};
M_.endo_names_tex(36) = {'G'};
M_.endo_names_long(36) = {'G'};
M_.endo_names(37) = {'g'};
M_.endo_names_tex(37) = {'g'};
M_.endo_names_long(37) = {'g'};
M_.endo_names(38) = {'Pinf'};
M_.endo_names_tex(38) = {'Pinf'};
M_.endo_names_long(38) = {'Pinf'};
M_.endo_names(39) = {'Pinf_hash'};
M_.endo_names_tex(39) = {'Pinf\_hash'};
M_.endo_names_long(39) = {'Pinf_hash'};
M_.endo_names(40) = {'X1'};
M_.endo_names_tex(40) = {'X1'};
M_.endo_names_long(40) = {'X1'};
M_.endo_names(41) = {'X2'};
M_.endo_names_tex(41) = {'X2'};
M_.endo_names_long(41) = {'X2'};
M_.endo_names(42) = {'MC'};
M_.endo_names_tex(42) = {'MC'};
M_.endo_names_long(42) = {'MC'};
M_.endo_names(43) = {'m'};
M_.endo_names_tex(43) = {'m'};
M_.endo_names_long(43) = {'m'};
M_.endo_names(44) = {'Wel'};
M_.endo_names_tex(44) = {'Wel'};
M_.endo_names_long(44) = {'Wel'};
M_.endo_names(45) = {'Weh'};
M_.endo_names_tex(45) = {'Weh'};
M_.endo_names_long(45) = {'Weh'};
M_.endo_names(46) = {'L'};
M_.endo_names_tex(46) = {'L'};
M_.endo_names_long(46) = {'L'};
M_.endo_names(47) = {'thetat'};
M_.endo_names_tex(47) = {'thetat'};
M_.endo_names_long(47) = {'thetat'};
M_.endo_names(48) = {'s'};
M_.endo_names_tex(48) = {'s'};
M_.endo_names_long(48) = {'s'};
M_.endo_names(49) = {'Rf'};
M_.endo_names_tex(49) = {'Rf'};
M_.endo_names_long(49) = {'Rf'};
M_.endo_names(50) = {'Leverage'};
M_.endo_names_tex(50) = {'Leverage'};
M_.endo_names_long(50) = {'Leverage'};
M_.endo_names(51) = {'V'};
M_.endo_names_tex(51) = {'V'};
M_.endo_names_long(51) = {'V'};
M_.endo_names(52) = {'Ll'};
M_.endo_names_tex(52) = {'Ll'};
M_.endo_names_long(52) = {'Ll'};
M_.endo_names(53) = {'Lh'};
M_.endo_names_tex(53) = {'Lh'};
M_.endo_names_long(53) = {'Lh'};
M_.endo_names(54) = {'Default_ratel'};
M_.endo_names_tex(54) = {'Default\_ratel'};
M_.endo_names_long(54) = {'Default_ratel'};
M_.endo_names(55) = {'Default_rateh'};
M_.endo_names_tex(55) = {'Default\_rateh'};
M_.endo_names_long(55) = {'Default_rateh'};
M_.endo_names(56) = {'Y_obs'};
M_.endo_names_tex(56) = {'Y\_obs'};
M_.endo_names_long(56) = {'Y_obs'};
M_.endo_names(57) = {'C_obs'};
M_.endo_names_tex(57) = {'C\_obs'};
M_.endo_names_long(57) = {'C_obs'};
M_.endo_partitions = struct();
M_.param_names = cell(31,1);
M_.param_names_tex = cell(31,1);
M_.param_names_long = cell(31,1);
M_.param_names(1) = {'psi'};
M_.param_names_tex(1) = {'psi'};
M_.param_names_long(1) = {'psi'};
M_.param_names(2) = {'alpha'};
M_.param_names_tex(2) = {'alpha'};
M_.param_names_long(2) = {'alpha'};
M_.param_names(3) = {'beta'};
M_.param_names_tex(3) = {'beta'};
M_.param_names_long(3) = {'beta'};
M_.param_names(4) = {'delta'};
M_.param_names_tex(4) = {'delta'};
M_.param_names_long(4) = {'delta'};
M_.param_names(5) = {'chi'};
M_.param_names_tex(5) = {'chi'};
M_.param_names_long(5) = {'chi'};
M_.param_names(6) = {'theta'};
M_.param_names_tex(6) = {'theta'};
M_.param_names_long(6) = {'theta'};
M_.param_names(7) = {'phi'};
M_.param_names_tex(7) = {'phi'};
M_.param_names_long(7) = {'phi'};
M_.param_names(8) = {'Fl_ss'};
M_.param_names_tex(8) = {'Fl\_ss'};
M_.param_names_long(8) = {'Fl_ss'};
M_.param_names(9) = {'b_ss'};
M_.param_names_tex(9) = {'b\_ss'};
M_.param_names_long(9) = {'b_ss'};
M_.param_names(10) = {'Fh_ss'};
M_.param_names_tex(10) = {'Fh\_ss'};
M_.param_names_long(10) = {'Fh_ss'};
M_.param_names(11) = {'Sigma_ss'};
M_.param_names_tex(11) = {'Sigma\_ss'};
M_.param_names_long(11) = {'Sigma_ss'};
M_.param_names(12) = {'mu'};
M_.param_names_tex(12) = {'mu'};
M_.param_names_long(12) = {'mu'};
M_.param_names(13) = {'gamma'};
M_.param_names_tex(13) = {'gamma'};
M_.param_names_long(13) = {'gamma'};
M_.param_names(14) = {'epsilon'};
M_.param_names_tex(14) = {'epsilon'};
M_.param_names_long(14) = {'epsilon'};
M_.param_names(15) = {'zeta_p'};
M_.param_names_tex(15) = {'zeta\_p'};
M_.param_names_long(15) = {'zeta_p'};
M_.param_names(16) = {'R_ss'};
M_.param_names_tex(16) = {'R\_ss'};
M_.param_names_long(16) = {'R_ss'};
M_.param_names(17) = {'g_ss'};
M_.param_names_tex(17) = {'g\_ss'};
M_.param_names_long(17) = {'g_ss'};
M_.param_names(18) = {'psi_pinf'};
M_.param_names_tex(18) = {'psi\_pinf'};
M_.param_names_long(18) = {'psi_pinf'};
M_.param_names(19) = {'psi_y'};
M_.param_names_tex(19) = {'psi\_y'};
M_.param_names_long(19) = {'psi_y'};
M_.param_names(20) = {'rho_al'};
M_.param_names_tex(20) = {'rho\_al'};
M_.param_names_long(20) = {'rho_al'};
M_.param_names(21) = {'rho_ah'};
M_.param_names_tex(21) = {'rho\_ah'};
M_.param_names_long(21) = {'rho_ah'};
M_.param_names(22) = {'rho_sigmal'};
M_.param_names_tex(22) = {'rho\_sigmal'};
M_.param_names_long(22) = {'rho_sigmal'};
M_.param_names(23) = {'rho_sigmah'};
M_.param_names_tex(23) = {'rho\_sigmah'};
M_.param_names_long(23) = {'rho_sigmah'};
M_.param_names(24) = {'rho_b'};
M_.param_names_tex(24) = {'rho\_b'};
M_.param_names_long(24) = {'rho_b'};
M_.param_names(25) = {'rho_g'};
M_.param_names_tex(25) = {'rho\_g'};
M_.param_names_long(25) = {'rho_g'};
M_.param_names(26) = {'rho_r'};
M_.param_names_tex(26) = {'rho\_r'};
M_.param_names_long(26) = {'rho_r'};
M_.param_names(27) = {'sigma_al'};
M_.param_names_tex(27) = {'sigma\_al'};
M_.param_names_long(27) = {'sigma_al'};
M_.param_names(28) = {'sigma_ah'};
M_.param_names_tex(28) = {'sigma\_ah'};
M_.param_names_long(28) = {'sigma_ah'};
M_.param_names(29) = {'sigma_b'};
M_.param_names_tex(29) = {'sigma\_b'};
M_.param_names_long(29) = {'sigma_b'};
M_.param_names(30) = {'sigma_g'};
M_.param_names_tex(30) = {'sigma\_g'};
M_.param_names_long(30) = {'sigma_g'};
M_.param_names(31) = {'sigma_r'};
M_.param_names_tex(31) = {'sigma\_r'};
M_.param_names_long(31) = {'sigma_r'};
M_.param_partitions = struct();
M_.exo_det_nbr = 0;
M_.exo_nbr = 6;
M_.endo_nbr = 57;
M_.param_nbr = 31;
M_.orig_endo_nbr = 57;
M_.aux_vars = [];
M_.predetermined_variables = [ 11 25 ];
options_.varobs = cell(4, 1);
options_.varobs(1)  = {'C_obs'};
options_.varobs(2)  = {'Rd'};
options_.varobs(3)  = {'Y_obs'};
options_.varobs(4)  = {'Pinf'};
options_.varobs_id = [ 57 8 56 38  ];
M_.Sigma_e = zeros(6, 6);
M_.Correlation_matrix = eye(6, 6);
M_.H = 0;
M_.Correlation_matrix_ME = 1;
M_.sigma_e_is_diagonal = true;
M_.det_shocks = [];
options_.linear = false;
options_.block = false;
options_.bytecode = false;
options_.use_dll = false;
options_.linear_decomposition = false;
M_.nonzero_hessian_eqs = [1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 35 37 38 39 40 41 42 43 47 50 52 53 54 55 56 57];
M_.hessian_eq_zero = isempty(M_.nonzero_hessian_eqs);
M_.orig_eq_nbr = 57;
M_.eq_nbr = 57;
M_.ramsey_eq_nbr = 0;
M_.set_auxiliary_variables = exist(['./+' M_.fname '/set_auxiliary_variables.m'], 'file') == 2;
M_.epilogue_names = {};
M_.epilogue_var_list_ = {};
M_.orig_maximum_endo_lag = 1;
M_.orig_maximum_endo_lead = 1;
M_.orig_maximum_exo_lag = 0;
M_.orig_maximum_exo_lead = 0;
M_.orig_maximum_exo_det_lag = 0;
M_.orig_maximum_exo_det_lead = 0;
M_.orig_maximum_lag = 1;
M_.orig_maximum_lead = 1;
M_.orig_maximum_lag_with_diffs_expanded = 1;
M_.lead_lag_incidence = [
 0 16 0;
 0 17 71;
 1 18 72;
 0 19 73;
 0 20 0;
 0 21 0;
 2 22 74;
 3 23 0;
 0 24 0;
 4 25 0;
 5 26 0;
 0 27 0;
 0 28 0;
 0 29 0;
 0 30 75;
 6 0 0;
 0 31 76;
 7 32 0;
 8 33 0;
 0 34 0;
 0 35 0;
 9 36 77;
 0 37 0;
 10 38 0;
 11 39 0;
 0 40 0;
 0 41 0;
 0 42 0;
 0 43 78;
 12 0 0;
 0 44 79;
 13 45 0;
 14 46 0;
 0 47 0;
 0 48 0;
 0 49 0;
 15 50 0;
 0 51 80;
 0 52 0;
 0 53 81;
 0 54 82;
 0 55 0;
 0 56 0;
 0 57 0;
 0 58 0;
 0 59 0;
 0 60 0;
 0 61 0;
 0 62 0;
 0 63 0;
 0 64 0;
 0 65 0;
 0 66 0;
 0 67 0;
 0 68 0;
 0 69 0;
 0 70 0;]';
M_.nstatic = 33;
M_.nfwrd   = 9;
M_.npred   = 12;
M_.nboth   = 3;
M_.nsfwrd   = 12;
M_.nspred   = 15;
M_.ndynamic   = 24;
M_.dynamic_tmp_nbr = [44; 104; 41; 0; ];
M_.equations_tags = {
  1 , 'name' , '1' ;
  2 , 'name' , '2' ;
  3 , 'name' , '3' ;
  4 , 'name' , 'K' ;
  5 , 'name' , '5' ;
  6 , 'name' , 'Yl' ;
  7 , 'name' , 'Rkl' ;
  8 , 'name' , 'Wl' ;
  9 , 'name' , 'Leveragel' ;
  10 , 'name' , 'Rel' ;
  11 , 'name' , '11' ;
  12 , 'name' , '12' ;
  13 , 'name' , '13' ;
  14 , 'name' , 'SPl' ;
  15 , 'name' , 'Vl' ;
  16 , 'name' , 'Yh' ;
  17 , 'name' , 'Rkh' ;
  18 , 'name' , 'Wh' ;
  19 , 'name' , 'Leverageh' ;
  20 , 'name' , 'Reh' ;
  21 , 'name' , '21' ;
  22 , 'name' , '22' ;
  23 , 'name' , '23' ;
  24 , 'name' , 'SPh' ;
  25 , 'name' , 'Vh' ;
  26 , 'name' , '26' ;
  27 , 'name' , 'Pinf_hash' ;
  28 , 'name' , 'X1' ;
  29 , 'name' , 'X2' ;
  30 , 'name' , 'MC' ;
  31 , 'name' , 'Nl' ;
  32 , 'name' , 'Nh' ;
  33 , 'name' , '33' ;
  34 , 'name' , 'Y' ;
  35 , 'name' , 'G' ;
  36 , 'name' , '36' ;
  37 , 'name' , '37' ;
  38 , 'name' , '38' ;
  39 , 'name' , '39' ;
  40 , 'name' , '40' ;
  41 , 'name' , '41' ;
  42 , 'name' , '42' ;
  43 , 'name' , '43' ;
  44 , 'name' , 'Wel' ;
  45 , 'name' , 'Weh' ;
  46 , 'name' , 'L' ;
  47 , 'name' , 'thetat' ;
  48 , 'name' , 's' ;
  49 , 'name' , 'Rf' ;
  50 , 'name' , 'Leverage' ;
  51 , 'name' , 'V' ;
  52 , 'name' , 'Ll' ;
  53 , 'name' , 'Lh' ;
  54 , 'name' , 'Default_ratel' ;
  55 , 'name' , 'Default_rateh' ;
  56 , 'name' , 'Y_obs' ;
  57 , 'name' , 'C_obs' ;
};
M_.mapping.Y.eqidx = [28 29 30 34 35 36 43 56 ];
M_.mapping.C.eqidx = [1 2 3 5 28 29 36 57 ];
M_.mapping.I.eqidx = [4 5 36 ];
M_.mapping.K.eqidx = [4 33 50 ];
M_.mapping.N.eqidx = [1 30 31 32 ];
M_.mapping.W.eqidx = [1 30 ];
M_.mapping.Q.eqidx = [5 9 10 15 19 20 25 50 52 53 ];
M_.mapping.Rd.eqidx = [2 14 24 43 49 ];
M_.mapping.Yl.eqidx = [6 34 ];
M_.mapping.Al.eqidx = [6 7 8 37 ];
M_.mapping.Kl.eqidx = [6 7 8 9 15 33 52 ];
M_.mapping.Nl.eqidx = [6 7 8 31 ];
M_.mapping.Rkl.eqidx = [7 10 ];
M_.mapping.Wl.eqidx = [8 ];
M_.mapping.Rel.eqidx = [10 11 12 13 14 15 ];
M_.mapping.Rll.eqidx = [11 ];
M_.mapping.Omegabarl.eqidx = [11 12 13 15 54 ];
M_.mapping.Sigmal.eqidx = [12 13 15 39 54 ];
M_.mapping.Leveragel.eqidx = [9 11 12 ];
M_.mapping.Vl.eqidx = [9 15 51 52 ];
M_.mapping.SPl.eqidx = [14 ];
M_.mapping.b.eqidx = [11 12 13 15 41 ];
M_.mapping.Yh.eqidx = [16 34 ];
M_.mapping.Ah.eqidx = [16 17 18 38 ];
M_.mapping.Kh.eqidx = [16 17 18 19 25 33 53 ];
M_.mapping.Nh.eqidx = [16 17 18 32 ];
M_.mapping.Rkh.eqidx = [17 20 ];
M_.mapping.Wh.eqidx = [18 ];
M_.mapping.Reh.eqidx = [20 21 22 23 24 25 ];
M_.mapping.Rlh.eqidx = [21 ];
M_.mapping.Omegabarh.eqidx = [21 22 23 25 55 ];
M_.mapping.Sigmah.eqidx = [22 23 25 40 55 ];
M_.mapping.Leverageh.eqidx = [19 21 22 ];
M_.mapping.Vh.eqidx = [19 25 51 53 ];
M_.mapping.SPh.eqidx = [24 ];
M_.mapping.G.eqidx = [35 36 ];
M_.mapping.g.eqidx = [35 42 ];
M_.mapping.Pinf.eqidx = [2 10 15 20 25 26 27 28 29 43 ];
M_.mapping.Pinf_hash.eqidx = [26 27 ];
M_.mapping.X1.eqidx = [27 28 ];
M_.mapping.X2.eqidx = [27 29 ];
M_.mapping.MC.eqidx = [28 30 ];
M_.mapping.m.eqidx = [3 ];
M_.mapping.Wel.eqidx = [15 44 ];
M_.mapping.Weh.eqidx = [25 45 ];
M_.mapping.L.eqidx = [46 47 ];
M_.mapping.thetat.eqidx = [47 ];
M_.mapping.s.eqidx = [47 48 ];
M_.mapping.Rf.eqidx = [12 13 22 23 49 ];
M_.mapping.Leverage.eqidx = [50 ];
M_.mapping.V.eqidx = [50 51 ];
M_.mapping.Ll.eqidx = [46 52 ];
M_.mapping.Lh.eqidx = [46 53 ];
M_.mapping.Default_ratel.eqidx = [54 ];
M_.mapping.Default_rateh.eqidx = [55 ];
M_.mapping.Y_obs.eqidx = [56 ];
M_.mapping.C_obs.eqidx = [57 ];
M_.mapping.e_b.eqidx = [41 ];
M_.mapping.e_g.eqidx = [42 ];
M_.mapping.e_r.eqidx = [43 ];
M_.mapping.e_sigma.eqidx = [39 40 ];
M_.mapping.e_al.eqidx = [37 ];
M_.mapping.e_ah.eqidx = [38 ];
M_.static_and_dynamic_models_differ = false;
M_.has_external_function = false;
M_.state_var = [3 7 8 10 11 16 18 19 22 24 25 30 32 33 37 ];
M_.exo_names_orig_ord = [1:6];
M_.maximum_lag = 1;
M_.maximum_lead = 1;
M_.maximum_endo_lag = 1;
M_.maximum_endo_lead = 1;
oo_.steady_state = zeros(57, 1);
M_.maximum_exo_lag = 0;
M_.maximum_exo_lead = 0;
oo_.exo_steady_state = zeros(6, 1);
M_.params = NaN(31, 1);
M_.endo_trends = struct('deflator', cell(57, 1), 'log_deflator', cell(57, 1), 'growth_factor', cell(57, 1), 'log_growth_factor', cell(57, 1));
M_.NNZDerivatives = [212; 386; -1; ];
M_.static_tmp_nbr = [19; 28; 0; 0; ];
M_.params(2) = 0.52;
alpha = M_.params(2);
M_.params(3) = 0.9938;
beta = M_.params(3);
M_.params(4) = 0.025;
delta = M_.params(4);
M_.params(5) = 1;
chi = M_.params(5);
M_.params(6) = 7.4;
theta = M_.params(6);
M_.params(7) = 2;
phi = M_.params(7);
M_.params(8) = 0.007;
Fl_ss = M_.params(8);
M_.params(9) = 0.0006;
b_ss = M_.params(9);
M_.params(10) = 0.01;
Fh_ss = M_.params(10);
M_.params(11) = 0.28;
Sigma_ss = M_.params(11);
M_.params(12) = 0.21;
mu = M_.params(12);
M_.params(13) = 0.97;
gamma = M_.params(13);
M_.params(1) = 0.5;
psi = M_.params(1);
M_.params(14) = 6;
epsilon = M_.params(14);
M_.params(15) = 0.75;
zeta_p = M_.params(15);
M_.params(16) = 1.0063;
R_ss = M_.params(16);
M_.params(17) = 0.2;
g_ss = M_.params(17);
M_.params(22) = 0.97;
rho_sigmal = M_.params(22);
M_.params(23) = 0.97;
rho_sigmah = M_.params(23);
M_.params(27) = 0.07;
sigma_al = M_.params(27);
M_.params(28) = 0.07;
sigma_ah = M_.params(28);
M_.params(29) = 0.1;
sigma_b = M_.params(29);
M_.params(30) = 0.1;
sigma_g = M_.params(30);
M_.params(31) = 0.1;
sigma_r = M_.params(31);
M_.params(24) = 0.9;
rho_b = M_.params(24);
M_.params(25) = 0.9;
rho_g = M_.params(25);
M_.params(26) = 0.9;
rho_r = M_.params(26);
M_.params(20) = 0.9;
rho_al = M_.params(20);
M_.params(21) = 0.9;
rho_ah = M_.params(21);
M_.params(18) = 1.5;
psi_pinf = M_.params(18);
M_.params(19) = 0.5;
psi_y = M_.params(19);
%
% SHOCKS instructions
%
M_.exo_det_length = 0;
M_.Sigma_e(1, 1) = (0.1)^2;
M_.Sigma_e(2, 2) = (0.1)^2;
M_.Sigma_e(3, 3) = (0.1)^2;
M_.Sigma_e(4, 4) = (0.07)^2;
M_.Sigma_e(5, 5) = (0.1)^2;
M_.Sigma_e(6, 6) = (0.1)^2;
resid;
estim_params_.var_exo = zeros(0, 10);
estim_params_.var_endo = zeros(0, 10);
estim_params_.corrx = zeros(0, 11);
estim_params_.corrn = zeros(0, 11);
estim_params_.param_vals = zeros(0, 10);
estim_params_.param_vals = [estim_params_.param_vals; 20, NaN, (-Inf), Inf, 1, 0.6, 0.1, NaN, NaN, NaN ];
estim_params_.param_vals = [estim_params_.param_vals; 21, NaN, (-Inf), Inf, 1, 0.6, 0.1, NaN, NaN, NaN ];
estim_params_.param_vals = [estim_params_.param_vals; 24, NaN, (-Inf), Inf, 1, 0.6, 0.1, NaN, NaN, NaN ];
estim_params_.param_vals = [estim_params_.param_vals; 25, NaN, (-Inf), Inf, 1, 0.6, 0.1, NaN, NaN, NaN ];
estim_params_.param_vals = [estim_params_.param_vals; 26, NaN, (-Inf), Inf, 1, 0.6, 0.1, NaN, NaN, NaN ];
estim_params_.param_vals = [estim_params_.param_vals; 18, NaN, (-Inf), Inf, 3, 1.5, 0.2, NaN, NaN, NaN ];
estim_params_.param_vals = [estim_params_.param_vals; 19, NaN, (-Inf), Inf, 3, 0.5, 0.2, NaN, NaN, NaN ];
estim_params_.var_exo = [estim_params_.var_exo; 5, NaN, (-Inf), Inf, 4, 0.1, 0.1, NaN, NaN, NaN ];
estim_params_.var_exo = [estim_params_.var_exo; 6, NaN, (-Inf), Inf, 4, 0.1, 0.1, NaN, NaN, NaN ];
estim_params_.var_exo = [estim_params_.var_exo; 1, NaN, (-Inf), Inf, 4, 0.1, 0.1, NaN, NaN, NaN ];
estim_params_.var_exo = [estim_params_.var_exo; 2, NaN, (-Inf), Inf, 4, 0.1, 0.1, NaN, NaN, NaN ];
estim_params_.var_exo = [estim_params_.var_exo; 3, NaN, (-Inf), Inf, 4, 0.1, 0.1, NaN, NaN, NaN ];
options_.mh_jscale = 0.9;
options_.mh_replic = 20000;
options_.nodiagnostic = true;
options_.datafile = 'data';
options_.order = 1;
var_list_ = {};
oo_recursive_=dynare_estimation(var_list_);
save('estimate_results.mat', 'oo_', 'M_', 'options_');
if exist('estim_params_', 'var') == 1
  save('estimate_results.mat', 'estim_params_', '-append');
end
if exist('bayestopt_', 'var') == 1
  save('estimate_results.mat', 'bayestopt_', '-append');
end
if exist('dataset_', 'var') == 1
  save('estimate_results.mat', 'dataset_', '-append');
end
if exist('estimation_info', 'var') == 1
  save('estimate_results.mat', 'estimation_info', '-append');
end
if exist('dataset_info', 'var') == 1
  save('estimate_results.mat', 'dataset_info', '-append');
end
if exist('oo_recursive_', 'var') == 1
  save('estimate_results.mat', 'oo_recursive_', '-append');
end


disp(['Total computing time : ' dynsec2hms(toc(tic0)) ]);
if ~isempty(lastwarn)
  disp('Note: warning(s) encountered in MATLAB/Octave code')
end
diary off
