function T = static_g1_tt(T, y, x, params)
% function T = static_g1_tt(T, y, x, params)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%
% Output:
%   T         [#temp variables by 1]  double   vector of temporary terms
%

assert(length(T) >= 62);

T = supply.static_resid_tt(T, y, x, params);

T(34) = log(y(17))+y(18)^2/2;
T(35) = T(34)/y(18);
T(36) = normpdf(T(35),0,1);
T(37) = log(y(31))+y(32)^2/2;
T(38) = T(37)/y(32);
T(39) = normpdf(T(38),0,1);
T(40) = T(33)*T(33);
T(41) = (-1)/(y(2)*y(2));
T(42) = ((y(8))-y(8))/((y(8))*(y(8)))/(y(8)/(y(8)));
T(43) = getPowerDeriv(y(11),params(2),1);
T(44) = getPowerDeriv(y(12),1-params(2),1);
T(45) = 1/y(49);
T(46) = (-(1/y(8)));
T(47) = 1/y(17)/y(18);
T(48) = exp((-(T(35)*T(35)))/2)/2.506628274631;
T(49) = exp((-((T(35)-y(18))*(T(35)-y(18))))/2)/2.506628274631;
T(50) = T(47)*T(49);
T(51) = (y(18)*y(18)-T(34))/(y(18)*y(18));
T(52) = (-(T(48)*T(51)));
T(53) = y(17)*T(52)+T(49)*(T(51)-1);
T(54) = getPowerDeriv(y(25),params(2),1);
T(55) = getPowerDeriv(y(26),1-params(2),1);
T(56) = 1/y(31)/y(32);
T(57) = exp((-(T(38)*T(38)))/2)/2.506628274631;
T(58) = exp((-((T(38)-y(32))*(T(38)-y(32))))/2)/2.506628274631;
T(59) = T(56)*T(58);
T(60) = (y(32)*y(32)-T(37))/(y(32)*y(32));
T(61) = (-(T(57)*T(60)));
T(62) = y(31)*T(61)+T(58)*(T(60)-1);

end
