var
Y C I K N W Q Rd Yl Al Kl Nl Rkl Wl Rel Rll Omegabarl Sigmal Leveragel Vl SPl b Yh Ah Kh Nh Rkh Wh Reh Rlh Omegabarh Sigmah Leverageh Vh SPh G g Pinf Pinf_hash X1 X2 MC
m Wel Weh L thetat s Rf Leverage V Ll Lh Default_ratel Default_rateh
Y_obs C_obs;
predetermined_variables
Kl Kh;
varexo
e_b e_g e_r 
e_sigma e_al e_ah;
parameters
psi alpha beta delta chi theta phi Fl_ss b_ss Fh_ss Sigma_ss mu gamma epsilon zeta_p R_ss g_ss psi_pinf psi_y rho_al rho_ah rho_sigmal rho_sigmah rho_b rho_g rho_r sigma_al sigma_ah sigma_b sigma_g sigma_r;

alpha = 0.52;
beta = 0.9938;
delta = 0.025; 
chi = 1; 
theta = 7.4; 
phi = 2;
Fl_ss = 0.007;  
b_ss = 0.0006;      
Fh_ss = 0.01;
Sigma_ss = 0.28;
mu = 0.21;
gamma = 0.97;
psi = 0.5;
epsilon = 6;
zeta_p = 0.75;
R_ss = 1.0063;      
g_ss = 0.2;         
rho_sigmal = 0.97;
rho_sigmah = 0.97;
sigma_al = 0.07;      
sigma_ah = 0.07;
sigma_b = 0.1;
sigma_g = 0.1;
sigma_r = 0.1;
rho_b = 0.9;
rho_g = 0.9;
rho_r = 0.9;
rho_al = 0.9;
rho_ah = 0.9;
psi_pinf = 1.5;
psi_y = 0.5;

model;

theta*N^chi = 1/C*W;
1/C = beta*1/C(+1)*Rd/Pinf(+1);
1/m = 1/C - beta*1/C(+1);
K(+1) = (1-phi/2*(I/I(-1)-1)^2)*I + (1-delta)*K;
1 = Q*(1-phi/2*(I/I(-1)-1)^2 - phi*(I/I(-1)-1)*I/I(-1)) 
    + beta*C/C(+1)*Q(+1)*phi*(I(+1)/I-1)*(I(+1)/I)^2;
# Fl = normcdf((log(Omegabarl) + Sigmal(-1)^2/2)/Sigmal(-1));
# Gl = normcdf((log(Omegabarl) + Sigmal(-1)^2/2)/Sigmal(-1) - Sigmal(-1));
# GAMMAl = Omegabarl*(1-Fl) + Gl;
# Flp1 = normcdf((log(Omegabarl(+1)) + Sigmal^2/2)/Sigmal);
# Glp1 = normcdf((log(Omegabarl(+1)) + Sigmal^2/2)/Sigmal - Sigmal);
# GAMMAlp1 = Omegabarl(+1)*(1-Flp1) + Glp1;
# dFlp1 = 1/(Omegabarl(+1)*Sigmal)*normpdf((log(Omegabarl(+1)) + Sigmal^2/2)/Sigmal);
Yl = Al*Kl^alpha*Nl^(1-alpha);
Rkl = alpha*Al*Kl^(alpha-1)*Nl^(1-alpha);
Wl = (1-alpha)*Al*Kl^alpha*Nl^(-alpha);
Leveragel = Q*Kl(+1)/Vl;
Rel = (Rkl + Q*(1-delta))/Q(-1)*Pinf;
(b + Omegabarl)*Rel*Leveragel(-1) = Rll(-1)*(Leveragel(-1)-1);
(b(+1) + GAMMAlp1-mu*Glp1)*Rel(+1)*Leveragel = Rf*(Leveragel-1);
(1-Flp1)/(1-GAMMAlp1) = Rel(+1)/Rf*(1-Flp1-mu*Omegabarl(+1)*dFlp1)/(1-Rel(+1)/Rf*(b(+1) + GAMMAlp1-mu*Glp1));
SPl = Rel(+1)/Rd;
Vl = gamma*(1-GAMMAl-b)*Rel*Q(-1)/Pinf*Kl + Wel;
# Fh = normcdf((log(Omegabarh) + Sigmah(-1)^2/2)/Sigmah(-1));
# Gh = normcdf((log(Omegabarh) + Sigmah(-1)^2/2)/Sigmah(-1) - Sigmah(-1));
# GAMMAh = Omegabarh*(1-Fh) + Gh;
# Fhp1 = normcdf((log(Omegabarh(+1)) + Sigmah^2/2)/Sigmah);
# Ghp1 = normcdf((log(Omegabarh(+1)) + Sigmah^2/2)/Sigmah - Sigmah);
# GAMMAhp1 = Omegabarh(+1)*(1-Fhp1) + Ghp1;
# dFhp1 = 1/(Omegabarh(+1)*Sigmah)*normpdf((log(Omegabarh(+1)) + Sigmah^2/2)/Sigmah);
Yh = Ah*Kh^alpha*Nh^(1-alpha);
Rkh = alpha*Ah*Kh^(alpha-1)*Nh^(1-alpha);
Wh = (1-alpha)*Ah*Kh^alpha*Nh^(-alpha);
Leverageh = Q*Kh(+1)/Vh;
Reh = (Rkh + Q*(1-delta))/Q(-1)*Pinf;
(Omegabarh)*Reh*Leverageh(-1) = Rlh(-1)*(Leverageh(-1)-1);
(GAMMAhp1-mu*Ghp1)*Reh(+1)*Leverageh = Rf*(Leverageh-1);
(1-Fhp1)/(1-GAMMAhp1) = Reh(+1)/Rf*(1-Fhp1-mu*Omegabarh(+1)*dFhp1)/(1-Reh(+1)/Rf*(GAMMAhp1-mu*Ghp1));
SPh = Reh(+1)/Rd;
Vh = gamma*(1-GAMMAh)*Reh*Q(-1)/Pinf*Kh + Weh;
Pinf^(1-epsilon) = (1-zeta_p)*Pinf_hash^(1-epsilon) + zeta_p;
Pinf_hash = epsilon/(epsilon-1)*X1/X2*Pinf;
X1 = 1/C*MC*Y + zeta_p*beta*Pinf(+1)^epsilon*X1(+1);
X2 = 1/C*Y + zeta_p*beta*Pinf(+1)^(epsilon-1)*X2(+1);
MC = W/((1-alpha)*Y/N);
Nl = N;
Nh = N;
K = psi*Kl + (1-psi)*Kh;
Y = psi*Yl + (1-psi)*Yh;
G = g*Y;
Y = C + I + G;
log(Al) = rho_al*log(Al(-1)) + (1-rho_al)*log(steady_state(Al))  + e_al;
log(Ah) = rho_ah*log(Ah(-1)) + (1-rho_ah)*log(steady_state(Ah))  + e_ah;
log(Sigmal) = (1-rho_sigmal)*log(Sigma_ss) + rho_sigmal*log(Sigmal(-1))+ e_sigma;
log(Sigmah) = (1-rho_sigmah)*log(Sigma_ss) + rho_sigmah*log(Sigmah(-1))  + e_sigma;
log(b) = (1-rho_b)*log(b_ss) + rho_b*log(b(-1)) + e_b;
log(g) = (1-rho_g)*log(g_ss) + rho_g*log(g(-1)) + e_g;
log(Rd/steady_state(Rd)) = rho_r*log(Rd(-1)/steady_state(Rd))  + (1-rho_r)*(psi_pinf*psi_pinf*log(Pinf) + psi_y*log(Y/steady_state(Y))) + e_r;
Wel = steady_state(Wel);
Weh = steady_state(Weh);
L = psi*Ll + (1-psi)*Lh;
thetat = s/L;                                     
s = steady_state(s);
Rf = Rd;
Leverage = Q*K(+1)/V;
V = psi*Vl + (1-psi)*Vh;
Ll = Q*Kl(+1) - Vl;
Lh = Q*Kh(+1) - Vh;
Default_ratel = Fl;        
Default_rateh = Fh;       
Y_obs = log(Y);
C_obs = log(C);
end;

shocks;
var e_al; stderr 0.1;
var e_ah; stderr 0.1;
var e_sigma; stderr 0.07;
var e_b; stderr 0.1;
var e_g; stderr 0.1;
var e_r; stderr 0.1;
end;

steady_state_model;
Al = 1;
Ah = 2.1886;
Q = 1;
Pinf = 1;
Pinf_hash = 1;
MC = (epsilon - 1)/epsilon;
g = g_ss;
Rd = 1/beta;          
Rf = Rd;
Sigmal = Sigma_ss;
b = b_ss;
Omegabarl = exp(norminv(Fl_ss)*Sigmal-Sigmal^2/2);
Gl_ss = normcdf((log(Omegabarl) + Sigmal^2/2) / Sigmal - Sigmal);
GAMMAl_ss = Omegabarl*(1-Fl_ss) + Gl_ss;
dFl_ss = 1/(Omegabarl*Sigmal)*normpdf((log(Omegabarl) + Sigmal^2/2) / Sigmal);
Rel = 1/(1 + b - mu*(Gl_ss + Omegabarl*dFl_ss*(1-GAMMAl_ss) / (1-Fl_ss)))*Rf;
Leveragel = 1/(1-Rel/Rf*(b + GAMMAl_ss - mu*Gl_ss));      
Rll = (b + Omegabarl)*Rel*Leveragel/(Leveragel - 1);
SPl = Rel/Rd;
Rkl = Rel - (1-delta);
Kl_N = (alpha/Rkl)^(1/(1-alpha));
Wl = (1 - alpha)*Kl_N^alpha;
Yl_N = Kl_N^alpha;
Sigmah = Sigma_ss;
Omegabarh = exp(norminv(Fh_ss)*Sigmah-Sigmah^2/2);
Gh_ss = normcdf((log(Omegabarh) + Sigmah^2/2) / Sigmah - Sigmah);
GAMMAh_ss = Omegabarh*(1-Fh_ss) + Gh_ss;
dFh_ss = 1/(Omegabarh*Sigmah)*normpdf((log(Omegabarh) + Sigmah^2/2) / Sigmah);
Reh = 1/(1 - mu*(Gh_ss + Omegabarh*dFh_ss*(1-GAMMAh_ss) / (1-Fh_ss)))*Rf;
Leverageh = 1/(1-Reh/Rf*(GAMMAh_ss - mu*Gh_ss));      
Rlh = (Omegabarh)*Reh*Leverageh/(Leverageh - 1);
SPh = Reh/Rd;
Rkh = Reh - (1-delta);
Kh_N = (alpha*Ah/Rkh)^(1/(1-alpha));
Wh = (1 - alpha)*Ah*Kh_N^alpha;
Yh_N = Ah*Kh_N^alpha;
K_N = psi*Kl_N + (1-psi)*Kh_N;
Y_N = psi*Yl_N + (1-psi)*Yh_N;
I_N = delta*K_N;
C_N = (1-g)*Y_N - I_N;
W = MC*(1-alpha)*Y_N;
N = (1/theta*W/C_N)^(1/(1+chi));
Nl = N;
Nh = N;
Yl = Yl_N*Nl;
Yh = Yh_N*Nh;
Y = Y_N*N;
Kl = Kl_N*Nl;
Kh = Kh_N*Nh;
K = K_N*N;
I = I_N*N;
C = C_N*N;
G = g*Y;
X1 = 1/(1-zeta_p*beta)*1/C*MC*Y;
X2 = 1/(1-zeta_p*beta)*1/C*Y;
Vl = Kl/Leveragel;
Vh = Kh/Leverageh;
Wel = Vl - gamma*(1-GAMMAl_ss - b)*Rel*Kl;
Weh = Vh - gamma*(1-GAMMAh_ss)*Reh*Kh;
Ll = Kl - Vl;
Lh = Kh - Vh;
L = psi*Ll + (1-psi)*Lh;
thetat = 0.08;
s = thetat*L;
V = psi*Vl + (1-psi)*Vh;
Leverage = Q*K/V;
Default_ratel = Fl_ss;         
Default_rateh = Fh_ss;        
m = 1/(1/C - beta*1/C);
Y_obs = log(Y);
C_obs = log(C);

end;

resid;
estimated_params;
rho_al, beta_pdf, 0.6, 0.1;
rho_ah, beta_pdf, 0.6, 0.1;
rho_b, beta_pdf, 0.6, 0.1;
rho_g, beta_pdf, 0.6, 0.1;
rho_r, beta_pdf, 0.6, 0.1;
psi_pinf, normal_pdf, 1.5, 0.2;
psi_y, normal_pdf, 0.5, 0.2;
stderr e_al, inv_gamma_pdf, 0.1, 0.1;
stderr e_ah, inv_gamma_pdf, 0.1, 0.1;
stderr e_b, inv_gamma_pdf, 0.1, 0.1;
stderr e_g, inv_gamma_pdf, 0.1, 0.1;
stderr e_r, inv_gamma_pdf, 0.1, 0.1;
end;

varobs C_obs Rd Y_obs Pinf;
estimation(datafile=data,mh_replic=20000,mh_jscale=0.9,nodiagnostic);