function g1 = static_g1(T, y, x, params, T_flag)
% function g1 = static_g1(T, y, x, params, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%                                              to evaluate the model
%   T_flag    boolean                 boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   g1
%

if T_flag
    T = estimate.static_g1_tt(T, y, x, params);
end
g1 = zeros(57, 57);
g1(1,2)=(-(y(6)*T(41)));
g1(1,5)=params(6)*getPowerDeriv(y(5),params(5),1);
g1(1,6)=(-T(15));
g1(2,2)=T(41)-y(8)*(-params(3))/(y(2)*y(2))/y(38);
g1(2,8)=(-(params(3)/y(2)/y(38)));
g1(2,38)=(-((-(params(3)/y(2)*y(8)))/(y(38)*y(38))));
g1(3,2)=(-(T(41)-(-params(3))/(y(2)*y(2))));
g1(3,43)=(-1)/(y(43)*y(43));
g1(4,3)=(-1);
g1(4,4)=1-(1-params(4));
g1(5,7)=(-1);
g1(6,9)=1;
g1(6,10)=(-(T(16)*T(17)));
g1(6,11)=(-(T(16)*y(10)*T(43)));
g1(6,12)=(-(y(10)*T(17)*T(44)));
g1(7,10)=(-(T(16)*params(2)*T(18)));
g1(7,11)=(-(T(16)*params(2)*y(10)*getPowerDeriv(y(11),params(2)-1,1)));
g1(7,12)=(-(params(2)*y(10)*T(18)*T(44)));
g1(7,13)=1;
g1(8,10)=(-(T(19)*(1-params(2))*T(17)));
g1(8,11)=(-(T(19)*(1-params(2))*y(10)*T(43)));
g1(8,12)=(-(T(17)*(1-params(2))*y(10)*getPowerDeriv(y(12),(-params(2)),1)));
g1(8,14)=1;
g1(9,7)=(-(y(11)/y(20)));
g1(9,11)=(-(y(7)/y(20)));
g1(9,19)=1;
g1(9,20)=(-((-(y(7)*y(11)))/(y(20)*y(20))));
g1(10,7)=(-(y(38)*((1-params(4))*y(7)-(y(13)+(1-params(4))*y(7)))/(y(7)*y(7))));
g1(10,13)=(-(y(38)*1/y(7)));
g1(10,15)=1;
g1(10,38)=(-((y(13)+(1-params(4))*y(7))/y(7)));
g1(11,15)=y(19)*(y(17)+y(22));
g1(11,16)=(-(y(19)-1));
g1(11,17)=y(19)*y(15);
g1(11,19)=y(15)*(y(17)+y(22))-y(16);
g1(11,22)=y(19)*y(15);
g1(12,15)=y(19)*(y(22)+T(9)-T(4)*params(12));
g1(12,17)=y(19)*y(15)*(1-T(3)+y(17)*(-(T(46)*T(47)))+T(49)-params(12)*T(49));
g1(12,18)=y(19)*y(15)*(T(52)-params(12)*T(48)*(T(50)-1));
g1(12,19)=y(15)*(y(22)+T(9)-T(4)*params(12))-y(49);
g1(12,22)=y(19)*y(15);
g1(12,49)=(-(y(19)-1));
g1(13,15)=(-((T(22)*(1-T(3)-y(17)*params(12)*T(10))*T(45)-T(21)*(-((y(22)+T(9)-T(4)*params(12))*T(45))))/(T(22)*T(22))));
g1(13,17)=((1-T(9))*(-(T(46)*T(47)))-(1-T(3))*(-(1-T(3)+y(17)*(-(T(46)*T(47)))+T(49))))/((1-T(9))*(1-T(9)))-(T(22)*T(20)*((-(T(46)*T(47)))-(params(12)*T(10)+y(17)*params(12)*(T(36)*(-y(18))/(y(17)*y(18)*y(17)*y(18))+1/(y(17)*y(18))*T(36)*T(35)*(-T(46)))))-T(21)*(-(T(20)*(1-T(3)+y(17)*(-(T(46)*T(47)))+T(49)-params(12)*T(49)))))/(T(22)*T(22));
g1(13,18)=((1-T(9))*T(51)-(1-T(3))*(-T(52)))/((1-T(9))*(1-T(9)))-(T(22)*T(20)*(T(51)-y(17)*params(12)*(T(36)*(-y(17))/(y(17)*y(18)*y(17)*y(18))+1/(y(17)*y(18))*T(36)*T(35)*(-T(50))))-T(21)*(-(T(20)*(T(52)-params(12)*T(48)*(T(50)-1)))))/(T(22)*T(22));
g1(13,22)=(-((-(T(21)*(-T(20))))/(T(22)*T(22))));
g1(13,49)=(-((T(22)*(1-T(3)-y(17)*params(12)*T(10))*(-y(15))/(y(49)*y(49))-T(21)*(-((y(22)+T(9)-T(4)*params(12))*(-y(15))/(y(49)*y(49)))))/(T(22)*T(22))));
g1(14,8)=(-((-y(15))/(y(8)*y(8))));
g1(14,15)=(-(1/y(8)));
g1(14,21)=1;
g1(15,7)=(-(y(11)*y(15)*params(13)*(1-T(11)-y(22))/y(38)));
g1(15,11)=(-(y(7)*y(15)*params(13)*(1-T(11)-y(22))/y(38)));
g1(15,15)=(-(y(11)*y(7)*params(13)*(1-T(11)-y(22))/y(38)));
g1(15,17)=(-(y(11)*y(7)*y(15)*params(13)*(-(T(49)+1-T(1)+y(17)*(-(T(46)*T(47)))))/y(38)));
g1(15,18)=(-(y(11)*y(7)*y(15)*params(13)*(-T(52))/y(38)));
g1(15,20)=1;
g1(15,22)=(-(y(11)*y(7)*y(15)*(-params(13))/y(38)));
g1(15,38)=(-(y(11)*(-(y(7)*y(15)*params(13)*(1-T(11)-y(22))))/(y(38)*y(38))));
g1(15,44)=(-1);
g1(16,23)=1;
g1(16,24)=(-(T(23)*T(24)));
g1(16,25)=(-(T(23)*y(24)*T(53)));
g1(16,26)=(-(y(24)*T(24)*T(54)));
g1(17,24)=(-(T(23)*params(2)*T(25)));
g1(17,25)=(-(T(23)*params(2)*y(24)*getPowerDeriv(y(25),params(2)-1,1)));
g1(17,26)=(-(params(2)*y(24)*T(25)*T(54)));
g1(17,27)=1;
g1(18,24)=(-(T(26)*(1-params(2))*T(24)));
g1(18,25)=(-(T(26)*(1-params(2))*y(24)*T(53)));
g1(18,26)=(-(T(24)*(1-params(2))*y(24)*getPowerDeriv(y(26),(-params(2)),1)));
g1(18,28)=1;
g1(19,7)=(-(y(25)/y(34)));
g1(19,25)=(-(y(7)/y(34)));
g1(19,33)=1;
g1(19,34)=(-((-(y(7)*y(25)))/(y(34)*y(34))));
g1(20,7)=(-(y(38)*((1-params(4))*y(7)-((1-params(4))*y(7)+y(27)))/(y(7)*y(7))));
g1(20,27)=(-(y(38)*1/y(7)));
g1(20,29)=1;
g1(20,38)=(-(((1-params(4))*y(7)+y(27))/y(7)));
g1(21,29)=y(31)*y(33);
g1(21,30)=(-(y(33)-1));
g1(21,31)=y(33)*y(29);
g1(21,33)=y(31)*y(29)-y(30);
g1(22,29)=y(33)*(T(12)-T(8)*params(12));
g1(22,31)=y(33)*y(29)*(1-T(7)+y(31)*(-(T(55)*T(56)))+T(58)-params(12)*T(58));
g1(22,32)=y(33)*y(29)*(T(61)-params(12)*T(57)*(T(59)-1));
g1(22,33)=y(29)*(T(12)-T(8)*params(12))-y(49);
g1(22,49)=(-(y(33)-1));
g1(23,29)=(-((T(29)*(1-T(7)-y(31)*params(12)*T(13))*T(45)-T(28)*(-((T(12)-T(8)*params(12))*T(45))))/(T(29)*T(29))));
g1(23,31)=((1-T(12))*(-(T(55)*T(56)))-(1-T(7))*(-(1-T(7)+y(31)*(-(T(55)*T(56)))+T(58))))/((1-T(12))*(1-T(12)))-(T(29)*T(27)*((-(T(55)*T(56)))-(params(12)*T(13)+y(31)*params(12)*(T(39)*(-y(32))/(y(31)*y(32)*y(31)*y(32))+1/(y(31)*y(32))*T(39)*T(38)*(-T(55)))))-T(28)*(-(T(27)*(1-T(7)+y(31)*(-(T(55)*T(56)))+T(58)-params(12)*T(58)))))/(T(29)*T(29));
g1(23,32)=((1-T(12))*T(60)-(1-T(7))*(-T(61)))/((1-T(12))*(1-T(12)))-(T(29)*T(27)*(T(60)-y(31)*params(12)*(T(39)*(-y(31))/(y(31)*y(32)*y(31)*y(32))+1/(y(31)*y(32))*T(39)*T(38)*(-T(59))))-T(28)*(-(T(27)*(T(61)-params(12)*T(57)*(T(59)-1)))))/(T(29)*T(29));
g1(23,49)=(-((T(29)*(1-T(7)-y(31)*params(12)*T(13))*(-y(29))/(y(49)*y(49))-T(28)*(-((T(12)-T(8)*params(12))*(-y(29))/(y(49)*y(49)))))/(T(29)*T(29))));
g1(24,8)=(-((-y(29))/(y(8)*y(8))));
g1(24,29)=(-(1/y(8)));
g1(24,35)=1;
g1(25,7)=(-(y(25)*y(29)*params(13)*(1-T(14))/y(38)));
g1(25,25)=(-(y(7)*y(29)*params(13)*(1-T(14))/y(38)));
g1(25,29)=(-(y(25)*y(7)*params(13)*(1-T(14))/y(38)));
g1(25,31)=(-(y(25)*y(7)*y(29)*params(13)*(-(T(58)+1-T(5)+y(31)*(-(T(55)*T(56)))))/y(38)));
g1(25,32)=(-(y(25)*y(7)*y(29)*params(13)*(-T(61))/y(38)));
g1(25,34)=1;
g1(25,38)=(-(y(25)*(-(y(7)*y(29)*params(13)*(1-T(14))))/(y(38)*y(38))));
g1(25,45)=(-1);
g1(26,38)=getPowerDeriv(y(38),1-params(14),1);
g1(26,39)=(-((1-params(15))*getPowerDeriv(y(39),1-params(14),1)));
g1(27,38)=(-T(30));
g1(27,39)=1;
g1(27,40)=(-(y(38)*params(14)/(params(14)-1)/y(41)));
g1(27,41)=(-(y(38)*(-(params(14)/(params(14)-1)*y(40)))/(y(41)*y(41))));
g1(28,1)=(-(T(15)*y(42)));
g1(28,2)=(-(y(1)*y(42)*T(41)));
g1(28,38)=(-(y(40)*params(3)*params(15)*getPowerDeriv(y(38),params(14),1)));
g1(28,40)=1-T(31);
g1(28,42)=(-(T(15)*y(1)));
g1(29,1)=(-T(15));
g1(29,2)=(-(y(1)*T(41)));
g1(29,38)=(-(y(41)*params(3)*params(15)*getPowerDeriv(y(38),params(14)-1,1)));
g1(29,41)=1-T(32);
g1(30,1)=(-((-(y(6)*(1-params(2))/y(5)))/T(40)));
g1(30,5)=(-((-(y(6)*(-((1-params(2))*y(1)))/(y(5)*y(5))))/T(40)));
g1(30,6)=(-(1/T(33)));
g1(30,42)=1;
g1(31,5)=(-1);
g1(31,12)=1;
g1(32,5)=(-1);
g1(32,26)=1;
g1(33,4)=1;
g1(33,11)=(-params(1));
g1(33,25)=(-(1-params(1)));
g1(34,1)=1;
g1(34,9)=(-params(1));
g1(34,23)=(-(1-params(1)));
g1(35,1)=(-y(37));
g1(35,36)=1;
g1(35,37)=(-y(1));
g1(36,1)=1;
g1(36,2)=(-1);
g1(36,3)=(-1);
g1(36,36)=(-1);
g1(37,10)=1/y(10)-(params(20)*1/y(10)+(1-params(20))*1/(y(10)));
g1(38,24)=1/y(24)-(params(21)*1/y(24)+(1-params(21))*1/(y(24)));
g1(39,18)=1/y(18)-params(22)*1/y(18);
g1(40,32)=1/y(32)-params(23)*1/y(32);
g1(41,22)=1/y(22)-params(24)*1/y(22);
g1(42,37)=1/y(37)-params(25)*1/y(37);
g1(43,1)=(-((1-params(26))*params(19)*((y(1))-y(1))/((y(1))*(y(1)))/(y(1)/(y(1)))));
g1(43,8)=T(42)-params(26)*T(42);
g1(43,38)=(-((1-params(26))*params(18)*params(18)*1/y(38)));
g1(46,46)=1;
g1(46,52)=(-params(1));
g1(46,53)=(-(1-params(1)));
g1(47,46)=(-((-y(48))/(y(46)*y(46))));
g1(47,47)=1;
g1(47,48)=(-(1/y(46)));
g1(49,8)=(-1);
g1(49,49)=1;
g1(50,4)=(-(y(7)/y(51)));
g1(50,7)=(-(y(4)/y(51)));
g1(50,50)=1;
g1(50,51)=(-((-(y(4)*y(7)))/(y(51)*y(51))));
g1(51,20)=(-params(1));
g1(51,34)=(-(1-params(1)));
g1(51,51)=1;
g1(52,7)=(-y(11));
g1(52,11)=(-y(7));
g1(52,20)=1;
g1(52,52)=1;
g1(53,7)=(-y(25));
g1(53,25)=(-y(7));
g1(53,34)=1;
g1(53,53)=1;
g1(54,17)=(-(T(46)*T(47)));
g1(54,18)=T(51);
g1(54,54)=1;
g1(55,31)=(-(T(55)*T(56)));
g1(55,32)=T(60);
g1(55,55)=1;
g1(56,1)=(-(1/y(1)));
g1(56,56)=1;
g1(57,2)=(-T(15));
g1(57,57)=1;
if ~isreal(g1)
    g1 = real(g1)+2*imag(g1);
end
end
