function g1 = static_g1(T, y, x, params, T_flag)
% function g1 = static_g1(T, y, x, params, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%                                              to evaluate the model
%   T_flag    boolean                 boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   g1
%

if T_flag
    T = supply.static_g1_tt(T, y, x, params);
end
g1 = zeros(60, 60);
g1(1,1)=(-((1-params(26))*params(19)*((y(1))-y(1))/((y(1))*(y(1)))/(y(1)/(y(1)))));
g1(1,7)=(-((1-params(26))*params(32)*1/y(7)));
g1(1,8)=T(42)-params(26)*T(42);
g1(1,38)=(-((1-params(26))*params(18)*params(18)*1/y(38)));
g1(1,46)=(-((1-params(26))*params(35)*((y(46))-y(46))/((y(46))*(y(46)))/(y(46)/(y(46)))));
g1(1,58)=(-((1-params(26))*params(33)*((y(58))-y(58))/((y(58))*(y(58)))/(y(58)/(y(58)))));
g1(1,59)=(-((1-params(26))*params(34)*((y(59))-y(59))/((y(59))*(y(59)))/(y(59)/(y(59)))));
g1(1,60)=(-((1-params(26))*params(36)*((y(60))-y(60))/((y(60))*(y(60)))/(y(60)/(y(60)))));
g1(2,2)=(-(y(6)*T(41)));
g1(2,5)=params(6)*getPowerDeriv(y(5),params(5),1);
g1(2,6)=(-T(15));
g1(3,2)=T(41)-y(8)*(-params(3))/(y(2)*y(2))/y(38);
g1(3,8)=(-(params(3)/y(2)/y(38)));
g1(3,38)=(-((-(y(8)*params(3)/y(2)))/(y(38)*y(38))));
g1(4,2)=(-(T(41)-(-params(3))/(y(2)*y(2))));
g1(4,43)=(-1)/(y(43)*y(43));
g1(5,3)=(-1);
g1(5,4)=1-(1-params(4));
g1(6,7)=(-1);
g1(7,9)=1;
g1(7,10)=(-(T(16)*T(17)));
g1(7,11)=(-(T(16)*y(10)*T(43)));
g1(7,12)=(-(y(10)*T(17)*T(44)));
g1(8,10)=(-(T(16)*params(2)*T(18)));
g1(8,11)=(-(T(16)*params(2)*y(10)*getPowerDeriv(y(11),params(2)-1,1)));
g1(8,12)=(-(params(2)*y(10)*T(18)*T(44)));
g1(8,13)=1;
g1(9,10)=(-(T(19)*(1-params(2))*T(17)));
g1(9,11)=(-(T(19)*(1-params(2))*y(10)*T(43)));
g1(9,12)=(-(T(17)*(1-params(2))*y(10)*getPowerDeriv(y(12),(-params(2)),1)));
g1(9,14)=1;
g1(10,7)=(-(y(11)/y(20)));
g1(10,11)=(-(y(7)/y(20)));
g1(10,19)=1;
g1(10,20)=(-((-(y(7)*y(11)))/(y(20)*y(20))));
g1(11,7)=(-(y(38)*(y(7)*(1-params(4))-(y(13)+y(7)*(1-params(4))))/(y(7)*y(7))));
g1(11,13)=(-(y(38)*1/y(7)));
g1(11,15)=1;
g1(11,38)=(-((y(13)+y(7)*(1-params(4)))/y(7)));
g1(12,15)=y(19)*(y(17)+y(22));
g1(12,16)=(-(y(19)-1));
g1(12,17)=y(19)*y(15);
g1(12,19)=y(15)*(y(17)+y(22))-y(16);
g1(12,22)=y(19)*y(15);
g1(13,15)=y(19)*(y(22)+T(9)-T(4)*params(12));
g1(13,17)=y(19)*y(15)*(1-T(3)+y(17)*(-(T(47)*T(48)))+T(50)-params(12)*T(50));
g1(13,18)=y(19)*y(15)*(T(53)-params(12)*T(49)*(T(51)-1));
g1(13,19)=y(15)*(y(22)+T(9)-T(4)*params(12))-y(49);
g1(13,22)=y(19)*y(15);
g1(13,49)=(-(y(19)-1));
g1(14,15)=(-((T(22)*(1-T(3)-y(17)*params(12)*T(10))*T(45)-T(21)*(-((y(22)+T(9)-T(4)*params(12))*T(45))))/(T(22)*T(22))));
g1(14,17)=((1-T(9))*(-(T(47)*T(48)))-(1-T(3))*(-(1-T(3)+y(17)*(-(T(47)*T(48)))+T(50))))/((1-T(9))*(1-T(9)))-(T(22)*T(20)*((-(T(47)*T(48)))-(params(12)*T(10)+y(17)*params(12)*(T(36)*(-y(18))/(y(17)*y(18)*y(17)*y(18))+1/(y(17)*y(18))*T(36)*T(35)*(-T(47)))))-T(21)*(-(T(20)*(1-T(3)+y(17)*(-(T(47)*T(48)))+T(50)-params(12)*T(50)))))/(T(22)*T(22));
g1(14,18)=((1-T(9))*T(52)-(1-T(3))*(-T(53)))/((1-T(9))*(1-T(9)))-(T(22)*T(20)*(T(52)-y(17)*params(12)*(T(36)*(-y(17))/(y(17)*y(18)*y(17)*y(18))+1/(y(17)*y(18))*T(36)*T(35)*(-T(51))))-T(21)*(-(T(20)*(T(53)-params(12)*T(49)*(T(51)-1)))))/(T(22)*T(22));
g1(14,22)=(-((-(T(21)*(-T(20))))/(T(22)*T(22))));
g1(14,49)=(-((T(22)*(1-T(3)-y(17)*params(12)*T(10))*(-y(15))/(y(49)*y(49))-T(21)*(-((y(22)+T(9)-T(4)*params(12))*(-y(15))/(y(49)*y(49)))))/(T(22)*T(22))));
g1(15,8)=(-((-y(15))/(y(8)*y(8))));
g1(15,15)=T(46);
g1(15,21)=1;
g1(16,7)=(-(y(11)*y(15)*params(13)*(1-T(11)-y(22))/y(38)));
g1(16,11)=(-(y(7)*y(15)*params(13)*(1-T(11)-y(22))/y(38)));
g1(16,15)=(-(y(11)*y(7)*params(13)*(1-T(11)-y(22))/y(38)));
g1(16,17)=(-(y(11)*y(7)*y(15)*params(13)*(-(T(50)+1-T(1)+y(17)*(-(T(47)*T(48)))))/y(38)));
g1(16,18)=(-(y(11)*y(7)*y(15)*params(13)*(-T(53))/y(38)));
g1(16,20)=1;
g1(16,22)=(-(y(11)*y(7)*y(15)*(-params(13))/y(38)));
g1(16,38)=(-(y(11)*(-(y(7)*y(15)*params(13)*(1-T(11)-y(22))))/(y(38)*y(38))));
g1(16,44)=(-1);
g1(17,23)=1;
g1(17,24)=(-(T(23)*T(24)));
g1(17,25)=(-(T(23)*y(24)*T(54)));
g1(17,26)=(-(y(24)*T(24)*T(55)));
g1(18,24)=(-(T(23)*params(2)*T(25)));
g1(18,25)=(-(T(23)*params(2)*y(24)*getPowerDeriv(y(25),params(2)-1,1)));
g1(18,26)=(-(params(2)*y(24)*T(25)*T(55)));
g1(18,27)=1;
g1(19,24)=(-(T(26)*(1-params(2))*T(24)));
g1(19,25)=(-(T(26)*(1-params(2))*y(24)*T(54)));
g1(19,26)=(-(T(24)*(1-params(2))*y(24)*getPowerDeriv(y(26),(-params(2)),1)));
g1(19,28)=1;
g1(20,7)=(-(y(25)/y(34)));
g1(20,25)=(-(y(7)/y(34)));
g1(20,33)=1;
g1(20,34)=(-((-(y(7)*y(25)))/(y(34)*y(34))));
g1(21,7)=(-(y(38)*(y(7)*(1-params(4))-(y(7)*(1-params(4))+y(27)))/(y(7)*y(7))));
g1(21,27)=(-(y(38)*1/y(7)));
g1(21,29)=1;
g1(21,38)=(-((y(7)*(1-params(4))+y(27))/y(7)));
g1(22,29)=y(31)*y(33);
g1(22,30)=(-(y(33)-1));
g1(22,31)=y(33)*y(29);
g1(22,33)=y(31)*y(29)-y(30);
g1(23,29)=y(33)*(T(12)-T(8)*params(12));
g1(23,31)=y(33)*y(29)*(1-T(7)+y(31)*(-(T(56)*T(57)))+T(59)-params(12)*T(59));
g1(23,32)=y(33)*y(29)*(T(62)-params(12)*T(58)*(T(60)-1));
g1(23,33)=y(29)*(T(12)-T(8)*params(12))-y(49);
g1(23,49)=(-(y(33)-1));
g1(24,29)=(-((T(29)*(1-T(7)-y(31)*params(12)*T(13))*T(45)-T(28)*(-((T(12)-T(8)*params(12))*T(45))))/(T(29)*T(29))));
g1(24,31)=((1-T(12))*(-(T(56)*T(57)))-(1-T(7))*(-(1-T(7)+y(31)*(-(T(56)*T(57)))+T(59))))/((1-T(12))*(1-T(12)))-(T(29)*T(27)*((-(T(56)*T(57)))-(params(12)*T(13)+y(31)*params(12)*(T(39)*(-y(32))/(y(31)*y(32)*y(31)*y(32))+1/(y(31)*y(32))*T(39)*T(38)*(-T(56)))))-T(28)*(-(T(27)*(1-T(7)+y(31)*(-(T(56)*T(57)))+T(59)-params(12)*T(59)))))/(T(29)*T(29));
g1(24,32)=((1-T(12))*T(61)-(1-T(7))*(-T(62)))/((1-T(12))*(1-T(12)))-(T(29)*T(27)*(T(61)-y(31)*params(12)*(T(39)*(-y(31))/(y(31)*y(32)*y(31)*y(32))+1/(y(31)*y(32))*T(39)*T(38)*(-T(60))))-T(28)*(-(T(27)*(T(62)-params(12)*T(58)*(T(60)-1)))))/(T(29)*T(29));
g1(24,49)=(-((T(29)*(1-T(7)-y(31)*params(12)*T(13))*(-y(29))/(y(49)*y(49))-T(28)*(-((T(12)-T(8)*params(12))*(-y(29))/(y(49)*y(49)))))/(T(29)*T(29))));
g1(25,8)=(-((-y(29))/(y(8)*y(8))));
g1(25,29)=T(46);
g1(25,35)=1;
g1(26,7)=(-(y(25)*y(29)*params(13)*(1-T(14))/y(38)));
g1(26,25)=(-(y(7)*y(29)*params(13)*(1-T(14))/y(38)));
g1(26,29)=(-(y(25)*y(7)*params(13)*(1-T(14))/y(38)));
g1(26,31)=(-(y(25)*y(7)*y(29)*params(13)*(-(T(59)+1-T(5)+y(31)*(-(T(56)*T(57)))))/y(38)));
g1(26,32)=(-(y(25)*y(7)*y(29)*params(13)*(-T(62))/y(38)));
g1(26,34)=1;
g1(26,38)=(-(y(25)*(-(y(7)*y(29)*params(13)*(1-T(14))))/(y(38)*y(38))));
g1(26,45)=(-1);
g1(27,38)=getPowerDeriv(y(38),1-params(14),1);
g1(27,39)=(-((1-params(15))*getPowerDeriv(y(39),1-params(14),1)));
g1(28,38)=(-T(30));
g1(28,39)=1;
g1(28,40)=(-(y(38)*params(14)/(params(14)-1)/y(41)));
g1(28,41)=(-(y(38)*(-(params(14)/(params(14)-1)*y(40)))/(y(41)*y(41))));
g1(29,1)=(-(T(15)*y(42)));
g1(29,2)=(-(y(1)*y(42)*T(41)));
g1(29,38)=(-(y(40)*params(3)*params(15)*getPowerDeriv(y(38),params(14),1)));
g1(29,40)=1-T(31);
g1(29,42)=(-(y(1)*T(15)));
g1(30,1)=(-T(15));
g1(30,2)=(-(y(1)*T(41)));
g1(30,38)=(-(y(41)*params(3)*params(15)*getPowerDeriv(y(38),params(14)-1,1)));
g1(30,41)=1-T(32);
g1(31,1)=(-((-(y(6)*(1-params(2))/y(5)))/T(40)));
g1(31,5)=(-((-(y(6)*(-(y(1)*(1-params(2))))/(y(5)*y(5))))/T(40)));
g1(31,6)=(-(1/T(33)));
g1(31,42)=1;
g1(32,5)=(-1);
g1(32,12)=1;
g1(33,5)=(-1);
g1(33,26)=1;
g1(34,4)=1;
g1(34,11)=(-params(1));
g1(34,25)=(-(1-params(1)));
g1(35,1)=1;
g1(35,9)=(-params(1));
g1(35,23)=(-(1-params(1)));
g1(36,1)=(-y(37));
g1(36,36)=1;
g1(36,37)=(-y(1));
g1(37,1)=1;
g1(37,2)=(-1);
g1(37,3)=(-1);
g1(37,36)=(-1);
g1(38,10)=1/y(10)-(params(20)*1/y(10)+(1-params(20))*1/(y(10)));
g1(39,24)=1/y(24)-(params(21)*1/y(24)+(1-params(21))*1/(y(24)));
g1(40,18)=1/y(18)-params(22)*1/y(18);
g1(41,32)=1/y(32)-params(23)*1/y(32);
g1(42,22)=1/y(22)-params(24)*1/y(22);
g1(43,37)=1/y(37)-params(25)*1/y(37);
g1(46,46)=1;
g1(46,52)=(-params(1));
g1(46,53)=(-(1-params(1)));
g1(47,46)=(-((-y(48))/(y(46)*y(46))));
g1(47,47)=1;
g1(47,48)=(-(1/y(46)));
g1(49,8)=(-1);
g1(49,49)=1;
g1(50,4)=(-(y(7)/y(51)));
g1(50,7)=(-(y(4)/y(51)));
g1(50,50)=1;
g1(50,51)=(-((-(y(7)*y(4)))/(y(51)*y(51))));
g1(51,20)=(-params(1));
g1(51,34)=(-(1-params(1)));
g1(51,51)=1;
g1(52,7)=(-y(11));
g1(52,11)=(-y(7));
g1(52,20)=1;
g1(52,52)=1;
g1(53,7)=(-y(25));
g1(53,25)=(-y(7));
g1(53,34)=1;
g1(53,53)=1;
g1(54,17)=(-(T(47)*T(48)));
g1(54,18)=T(52);
g1(54,54)=1;
g1(55,31)=(-(T(56)*T(57)));
g1(55,32)=T(61);
g1(55,55)=1;
g1(56,8)=(-((-y(16))/(y(8)*y(8))));
g1(56,16)=T(46);
g1(56,56)=1;
g1(57,8)=(-((-y(30))/(y(8)*y(8))));
g1(57,30)=T(46);
g1(57,57)=1;
g1(58,56)=(-params(1));
g1(58,57)=(-(1-params(1)));
g1(58,58)=1;
g1(59,47)=(-((-1)/(y(47)*y(47))));
g1(59,59)=1;
g1(60,21)=(-params(1));
g1(60,35)=(-(1-params(1)));
g1(60,60)=1;
if ~isreal(g1)
    g1 = real(g1)+2*imag(g1);
end
end
