clear all;
close all;
clc;

psi_q_arr = [0]; 
psi_SP_arr = [0]; 


beta =0.995;
theta = 0.75;
lambda = (1-beta*theta)*(1-theta)/theta;

%welfare loss metric
welfare_loss_arr=zeros(length(psi_q_arr),length(psi_SP_arr));

var_inflation = zeros(length(psi_q_arr),length(psi_SP_arr));
var_outputgap=zeros(length(psi_q_arr),length(psi_SP_arr));
var_L = zeros(length(psi_q_arr),length(psi_SP_arr));
var_K = zeros(length(psi_q_arr),length(psi_SP_arr));

%running the mode file and save the desired results
for ii=1:length(psi_q_arr)
    for jj=1:length(psi_SP_arr)
        psi_q = psi_q_arr(ii);
        psi_SP = psi_SP_arr(jj);
        save parameterfile_welfare psi_q psi_SP;
        dynare supply noclearall
        var_outputgap(ii,jj) = oo_.var(1,1);
        var_inflation(ii,jj) = oo_.var(2,2);
        var_L(ii,jj) = oo_.var(3,3);
        var_K(ii,jj) = oo_.var(4,4);
        welfare_loss_arr(ii,jj) = 0.01*(var_inflation(ii,jj)+var_outputgap(ii,jj)+var_L(ii,jj)+0.1*var_K(ii,jj));
    end
end

disp('The welfare loss');
%percentage
disp(welfare_loss_arr);
%oo_.var(1,1)
%oo_.var(2,2)